Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
2165 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  réseaux et sécurité

  Aptitude/Apt : Problème !

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Aptitude/Apt : Problème !

n°1121452
JohNseN
Tactical player de Cod 2/4/5.
Posté le 13-03-2009 à 10:10:53  profilanswer
 

Bonjour, je suis nouveau sur ce forum et j'espère que vous pourrez m'aider..
 
En effet, je suis sur debian lenny 5.0 j'ai depuis pas mal de temps un problème avec apt et aptitude.. Quand je veux obtenir un paquet il me dit "impossible de trouver" ou "introuvable".
Pourtant le packet existe bien vu que le tuto me le certifie.
 
Les packets que je veux sont ceux liés à openLDAP (les dépendances), dtc-toaster et samba-doc..
 
J'ai fais vérifié mon /etc/apt/sources.list par un pote mais rien n'y fait..
 
Mon sources.list.. :
 

Citation :


#
# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 CD Binary-1 20090214-16:29]/ lenny main
 
deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official i386 CD Binary-1 20090214-16:29]/ lenny main
 
deb security.debian.org lenny/updates main
deb-src security.debian.org lenny/updates main
 
deb ftp.fr.debian.org lenny main
deb ftp2.fr.debian.org lenny main
deb ftp.us.debian.org lenny main
 
# Stable Sources
deb-src ftp.de.debian.org stable main
deb-src ftp.de.debian.org stable/non-US main
deb ftp.fr.debian.org stable main
deb non-us.debian.org stable/non-US main
# Mises a jour de securite
deb security.debian.org stable/updates main
deb ftp.gplhost.fr etch main
deb volatile.debian.org etch/volatile main  


 
Merci d'avance !


Message édité par JohNseN le 13-03-2009 à 10:14:18

---------------
Quand tu sais pas, tu tapes.
mood
Publicité
Posté le 13-03-2009 à 10:10:53  profilanswer
 

n°1121455
ogaby
Posté le 13-03-2009 à 10:20:03  profilanswer
 

Salut
 
Le paquet à installer est ldap-utils

Citation :

aptitude search openLDAP
v   openldap-utils  
 
aptitude show openldap-utils
Pas de version courante ou candidate trouvée pour openldap-utils
Paquet : openldap-utils
État: n'est pas un paquet réel
Fourni par : ldap-utils

 
aptitude show ldap-utils
Paquet : ldap-utils
Nouveau: oui
État: non installé
Version : 2.4.15-1
Priorité : optionnel
Section : net
Responsable : Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Taille décompressée : 569k
Dépend: libc6 (>= 2.7-1), libgnutls26 (>= 2.5.9-0), libldap-2.4-2 (= 2.4.15-1), libsasl2-2
Recommande: libsasl2-modules
Est en conflit: ldap-client, openldap-utils, umich-ldap-utils
Remplace: openldap-utils, openldapd, slapd (< 2.2.23-0.pre6)
Fournit: ldap-client, openldap-utils
Description : OpenLDAP utilities

n°1121488
JohNseN
Tactical player de Cod 2/4/5.
Posté le 13-03-2009 à 11:38:23  profilanswer
 

Salut ogaby, merci de ta réponse ! J'ai essayé avec ldap-utils mais il me dit "Pas de version courante ou candidate trouvé pour ldap-utils.. Comme avec samba-doc et tous les autres..
J'ai dû faire à la "rache" pour dhcp3-server avec dpkg.. mais là je veux que ça marche.


---------------
Quand tu sais pas, tu tapes.
n°1121489
o'gure
Modérateur
Multi grognon de B_L
Posté le 13-03-2009 à 11:41:36  profilanswer
 

Dans ton sources.list mets uniquement :


deb http://ftp.fr.debian.org lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

 
 

puis tape avec des privilèges root :

aptitude update


et réessaye.


Message édité par o'gure le 13-03-2009 à 11:43:12

---------------
Ton Antoine commence à me les briser menus !
n°1121506
JohNseN
Tactical player de Cod 2/4/5.
Posté le 13-03-2009 à 12:22:12  profilanswer
 

Même chose.. :( avec apt-get install ldap-utils..
 

Citation :

"Aucun paquet n'est disponible mais il est présent dans la base de données, cela signifie qu'il est obsolète ou qu'il n'est disponible que sur une autre source".


---------------
Quand tu sais pas, tu tapes.
n°1121515
o'gure
Modérateur
Multi grognon de B_L
Posté le 13-03-2009 à 13:02:59  profilanswer
 

donne exactement le résultat des commandes suivantes :

cat /etc/apt/sources.list
aptitude update


Message édité par o'gure le 13-03-2009 à 13:07:06

---------------
Ton Antoine commence à me les briser menus !
n°1121548
JohNseN
Tactical player de Cod 2/4/5.
Posté le 13-03-2009 à 14:21:35  profilanswer
 

Aptitude update y'a trois tonnes de lignes.. y'a pas un moyen de faire un transfert via echo ? Si oui comment ?
 
Pour le cat /etc/apt/sources.list
 

Citation :


deb http://ftp.fr.debian.org lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

.


---------------
Quand tu sais pas, tu tapes.
n°1121552
o'gure
Modérateur
Multi grognon de B_L
Posté le 13-03-2009 à 14:25:28  profilanswer
 

JohNseN a écrit :

Aptitude update y'a trois tonnes de lignes.. y'a pas un moyen de faire un transfert via echo ? Si oui comment ?


Tu sélectionnes le texte avec ta souris, ça te le copie dans un buffer. Si tu es sous Linux, dans firefox/ton browser, tu appuies sur le bouton du milieu pour coller le texte dans la zone de réponse de HFR. Si tu n'as pas de bouton du milieu tu appuies sur les deux boutons de la souris en meme temps.
 
Si tu es sous windows via putty, un control v suffit pour le coller.

JohNseN a écrit :


Pour le cat /etc/apt/sources.list
 

Citation :


deb http://ftp.fr.debian.org lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

.



---------------
Ton Antoine commence à me les briser menus !
n°1121573
JohNseN
Tactical player de Cod 2/4/5.
Posté le 13-03-2009 à 14:43:55  profilanswer
 

Citation :

debianftp:~# aptitude update
Ign http://ftp.fr.debian.org lenny Release.gpg
Atteint http://security.debian.org lenny/updates Release.gpg
Ign http://security.debian.org lenny/updates/main Translation-fr
Ign http://ftp.fr.debian.org lenny/main Translation-fr
Ign http://security.debian.org lenny/updates/contrib Translation-fr
Ign http://security.debian.org lenny/updates/non-free Translation-fr
Ign http://ftp.fr.debian.org lenny/contrib Translation-fr
Ign http://ftp.fr.debian.org lenny/non-free Translation-fr
Atteint http://ftp.fr.debian.org lenny Release.gpg
Ign http://ftp.fr.debian.org lenny Release
Atteint http://ftp.fr.debian.org lenny Release
Ign http://ftp.fr.debian.org lenny/main Packages
Ign http://ftp.fr.debian.org lenny/contrib Packages
Ign http://ftp.fr.debian.org lenny/non-free Packages
Ign http://ftp.fr.debian.org lenny/main Sources
Ign http://ftp.fr.debian.org lenny/contrib Sources/DiffIndex
Ign http://ftp.fr.debian.org lenny/non-free Sources/DiffIndex
Err http://ftp.fr.debian.org lenny/main Packages
  404 Not Found
Err http://ftp.fr.debian.org lenny/contrib Packages
  404 Not Found
Err http://ftp.fr.debian.org lenny/non-free Packages
  404 Not Found
Err http://ftp.fr.debian.org lenny/main Sources
  404 Not Found
Atteint http://ftp.fr.debian.org lenny/contrib Sources
Atteint http://ftp.fr.debian.org lenny/non-free Sources
Atteint http://security.debian.org lenny/updates Release
Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
Ign http://security.debian.org lenny/updates/contrib Packages/DiffIndex
Ign http://security.debian.org lenny/updates/non-free Packages/DiffIndex
Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
Ign http://security.debian.org lenny/updates/contrib Sources/DiffIndex
Ign http://security.debian.org lenny/updates/non-free Sources/DiffIndex
Atteint http://security.debian.org lenny/updates/main Packages
Atteint http://security.debian.org lenny/updates/contrib Packages
Atteint http://security.debian.org lenny/updates/non-free Packages
Atteint http://security.debian.org lenny/updates/main Sources
Atteint http://security.debian.org lenny/updates/contrib Sources
Atteint http://security.debian.org lenny/updates/non-free Sources
Lecture des listes de paquets... Fait
 


 
Merci :).


---------------
Quand tu sais pas, tu tapes.

Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  réseaux et sécurité

  Aptitude/Apt : Problème !

 

Sujets relatifs
[Resolu]Probleme Config Autoscan Network sous BT3 Finalprobleme de résolution apres jeux video
[RedHat 5.2] - Problème de librairiesExim + Spamassassin : problème d'identification des mails
Probleme d'affichage avec eeeBox Asus 160G LINUX et écran Asus VK191SProblème de redirection de log
[Mandriva] Problème connection wifiProblème de Grub
Problème de connexion à un serveur SMTP MS Exchange 
Plus de sujets relatifs à : Aptitude/Apt : Problème !


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR